# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import glob
import re


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = proxies = get_proxies()

    url_base = "https://www.elastic.co/downloads/past-releases#winlogbeat"
   


    paragraph = bs_find(url_base,"h3", "class", "jsx-1955866259 h5")
    text = paragraph.text if paragraph else ''

    # Split the text 
    version = text.split()[-1]

    download_dict = {
        "windows-x64": "https://artifacts.elastic.co/downloads/beats/winlogbeat/winlogbeat-{version}-windows-x86_64.msi"}
    
    download_url = download_dict[control.target_os + "-" + ensure_list(control.architecture)[0]].format(version=version)
    latest_bin = download_url.split("/")[-1]


    # Downloading latest binaries
    if not isfile(latest_bin):
        package_updated = True
        wget(download_url, latest_bin, proxies=proxies)

    filtre =  '*.' + latest_bin.split('.')[-1]
    for f in glob.glob(filtre):
        if f != latest_bin:
            remove_file(f)

    control.set_software_version(version)
    control.save_control_to_wapt()